Subject: Re: [PATCH] run-command.c: need alloc.h for our own at-exit handler emulation

From: Junio C Hamano <[email-masked]>
Date: Tue, 16 May 2023 11:53:36 -0700

Taylor Blau <[email-masked]> writes:

> On Tue, May 16, 2023 at 11:44:36AM -0700, Junio C Hamano wrote:
>> Taylor Blau <[email-masked]> writes:
>>
>> > OK, having now read both completely, I would say I have a vague
>> > preference for my version since it keeps the include at the top and
>> > unconditional, and has slightly more information in the patch message.
>> >
>> > But I do not prefer it so much over yours that I would be sad if you had
>> > already queued yours and didn't want to bother shuffling it around.
>>
>> I do not have much preference between the two, either.  Both lack
>> one important description that we are reasonably confident that this
>> breakage is limited to run-command.c and no other files.
>
> I believe that mine does:
>
>   (Everything else compiles fine when NO_PTHREADS is defined, so this is
>   the only spot that needs fixing).

Not quite.  Who says NO_PTHREADS is the only conditional that may
hide use of ALLOC_GROW()?